org.apache.cayenne.access.translator.select

## Class SelectQueryWrapper

- java.lang.Object
- - org.apache.cayenne.access.translator.select.SelectQueryWrapper

- All Implemented Interfaces:
    TranslatableQueryWrapper

  Deprecated.
  this class should gone with the `SelectQuery`

      public class SelectQueryWrapper
      extends Object
      implements TranslatableQueryWrapper

  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectQueryWrapper(SelectQuery<?> selectQuery)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Property<?>>` | `getColumns()` Deprecated.
    `Expression` | `getHavingQualifier()` Deprecated.
    `QueryMetadata` | `getMetaData(EntityResolver resolver)` Deprecated.
    `Collection<Ordering>` | `getOrderings()` Deprecated.
    `Expression` | `getQualifier()` Deprecated.
    `boolean` | `isDistinct()` Deprecated.
    `SelectQuery<?>` | `unwrap()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.access.translator.select.TranslatableQueryWrapper

      `needsResultSetMapping`

- - ### Constructor Detail

    - #### SelectQueryWrapper

          public SelectQueryWrapper(SelectQuery<?> selectQuery)

      Deprecated.

  - ### Method Detail

    - #### isDistinct

          public boolean isDistinct()

      Deprecated.
      Specified by:
        `isDistinct` in interface `TranslatableQueryWrapper`

    - #### getMetaData

          public QueryMetadata getMetaData(EntityResolver resolver)

      Deprecated.
      Specified by:
        `getMetaData` in interface `TranslatableQueryWrapper`

    - #### getQualifier

          public Expression getQualifier()

      Deprecated.
      Specified by:
        `getQualifier` in interface `TranslatableQueryWrapper`

    - #### getOrderings

          public Collection<Ordering> getOrderings()

      Deprecated.
      Specified by:
        `getOrderings` in interface `TranslatableQueryWrapper`

    - #### getColumns

          public Collection<Property<?>> getColumns()

      Deprecated.
      Specified by:
        `getColumns` in interface `TranslatableQueryWrapper`

    - #### getHavingQualifier

          public Expression getHavingQualifier()

      Deprecated.
      Specified by:
        `getHavingQualifier` in interface `TranslatableQueryWrapper`

    - #### unwrap

          public SelectQuery<?> unwrap()

      Deprecated.
      Specified by:
        `unwrap` in interface `TranslatableQueryWrapper`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.